version: '3'

volumes:
    database_data:

services:
    # PostgreSQL
    ###############################################################################################################
    #  by default:
    #       postgresql://tajine_pg_user:tajine_pg_password_ChangeIt@127.0.0.1:5432/tajine_pg_database?serverVersion=14&charset=utf8
    #
    #  if you use the .env configuration file
    #       postgresql://<db_user>:<db_pass>@<host_ip>:<host_port>/<db_name>?serverVersion=<pg_version>&charset=utf8
    ###############################################################################################################
    database:
        image: postgres:${POSTGRES_VERSION:-14}-alpine
        environment:
            POSTGRES_DB: ${POSTGRES_DB:-tajine_pg_database}
            # You should definitely change the password in production
            POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-tajine_pg_password_ChangeIt}
            POSTGRES_USER: ${POSTGRES_USER:-tajine_pg_user}
        ports:
            - "${POSTGRES_HOST_IP:-127.0.0.1}:${POSTGRES_HOST_PORT:-5432}:5432"
        volumes:
            - database_data:/var/lib/postgresql/data:rw
            # You may use a bind-mounted host directory instead, so that it is harder
            # to accidentally remove the volume and lose all your data!
            # - ./docker/db/data:/var/lib/postgresql/data:rw

    # Mailcatcher
    ###############################################################################################################
    #  SMTP server:   smtp://localhost:1025     by default
    #                 smtp://<host_ip>:<port>   if you use the .env configuration file
    #
    #  Webmail URL:   http://localhost:1080     by default
    #                 http://<host_ip>:<port>   if you use the .env configuration file
    ###############################################################################################################
    mailer:
        image: schickling/mailcatcher
        ports:
            - "${MAILCATCHER_HOST_IP:-127.0.0.1}:${MAILCATCHER_HOST_SMTP_PORT:-1025}:1025"
            - "${MAILCATCHER_HOST_IP:-127.0.0.1}:${MAILCATCHER_HOST_HTTP_PORT:-1080}:1080"
